<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#">
	<head>
		{css src="css/styles.css"}{/css}
		{css src="css/custom.css" inline="1"}{/css}
		{css src="css/custom_print.css" inline="1" media="print"}{/css}
		{script library="fontawesome"}{/script}
		<meta name="viewport" content="width=100%; initial-scale=1; maximum-scale=1; minimum-scale=1; user-scalable=no;"/>
		{include "includes/theme_generated_styles.tpl"}
	</head>

	{**
	 * Retrieve the contents of both headers first so I know the number of columns to display.
	 * This is particularly useful for collapsing the space of an unused column without needing weird javascript.
	 *}
	{widget baseurl="/adminmenu/view" assign='adminbar'}
	{widgetarea name="Left Column" assign="left_col"}
	{widgetarea name="Right Column" assign="right_col"}
	{breadcrumbs assign='crumbs'}

	<body class="core-2019-skin skin-basic {$body_classes} {if $crumbs}has-breadcrumbs{/if} {if $adminbar}has-adminbar{/if}">

		{if $adminbar}
			{$adminbar}
		{/if}

		<div class="outer-wrapper" id="outer-wrapper">
			<header class="page-header">
				
				{a href="`$smarty.const.ROOT_URL`" title="`$smarty.const.SITENAME|escape`"}
					{if isset($theme_site_logo) && $theme_site_logo}
						{img src="`$theme_site_logo`" alt="`$smarty.const.SITENAME|escape`"}
					{else}
						{img src="assets/images/logo.png" alt="`$smarty.const.SITENAME|escape`"}
					{/if}
				{/a}

				{include file='includes/site_social_links.tpl'}
				{include file='includes/site_schema_information.tpl'}
			</header>

			<nav id="primary-nav">
				{widgetarea name="Primary Navigation"}
			</nav>

			{if $left_col && $right_col}
				{assign var="col_width" value="2"}
			{elseif $left_col || $right_col}
				{assign var="col_width" value="1"}
			{else}
				{assign var="col_width" value="0"}
			{/if}

			<div id="inner-wrapper" class="inner-wrapper page-column-width-{$col_width}">

				{if $crumbs}
					<nav id="breadcrumbs">
						{$crumbs}
					</nav>
				{/if}
				
				<div class="page-content-and-columns-wrapper">
					{if $left_col}
						<!-- There are contents in the Left Column widget, render that aside! -->
						<aside id="left-col" class="page-column">
							{$left_col}
						</aside>
					{else}
						<!-- The Left Column widget is empty, skipping rendering of aside#left-col. -->
					{/if}

					<section class="page-content">
						{if !empty($messages)}
							{foreach from=$messages item="m"}
								<p class="message-{$m.mtype}">
									{$m.mtext}
								</p>
							{/foreach}
						{/if}

						{widgetarea name="Above Body"}

						{$body}

						{widgetarea name="After Body"}
					</section>

					{if $right_col}
						<!-- There are contents in the Right Column widget, render that aside! -->
						<aside id="right-col" class="page-column">
							{$right_col}
						</aside>
					{else}
						<!-- The Right Column widget is empty, skipping rendering of aside#right-col. -->
					{/if}
				</div>
			</div>

			<footer class="page-footer">
				{widgetarea name="Footer"}

				{include file='includes/site_schema_information.tpl'}

				{$footer_legal}
			</footer>
		</div>
	</body>

</html>
